/*
  Arquivo de configurações padrões para o VSCode.
  
  Algumas dessas configuraçoes dependem das extensões: ESLint, Prettier, Dracula Official 
  e vscode-icons.
  
  Também utiliza-se o Fira Code como fonte, para deixar os operadores mais 
  bonitos e fáceis de identificar.

  Fonte: https://gist.github.com/MatheusAmelco/8c087613cc8076bf98d1e57accf9f856
*/
{
  // Gerais
  "workbench.iconTheme": "material-icon-theme",
  "workbench.colorTheme": "Dracula",
  "workbench.startupEditor": "newUntitledFile",
  "extensions.ignoreRecommendations": true,
  // Configura a identação para 2 espaços e habilita a formatação ao salvar
  "editor.tabSize": 2,
  "editor.formatOnSave": true,
  // Fonte (https://github.com/tonsky/FiraCode)
  "editor.fontSize": 14,
  "editor.lineHeight": 20,
  "editor.fontFamily": "'Fira Code', 'Droid Sans Mono', 'monospace', 'Droid Sans Fallback'",
  "editor.fontLigatures": true,
  // Aumenta a fonte do terminal
  "terminal.integrated.fontSize": 14,
  // Ativa autosalvamento
  "files.autoSave": "afterDelay",
  // Adiciona as marcações verticais para quebra de linha
  "editor.rulers": [
    80
  ],
  // Exibe uma identificação visual na linha em que o cursor estiver
  "editor.renderLineHighlight": "gutter",
  // Integrar o Prettier com o ESLint
  "prettier.eslintIntegration": true,
  // Habilita o breadcrumbs
  "breadcrumbs.enabled": true,
  // Adiciona o emmet em arquivos Javascript
  "emmet.syntaxProfiles": {
    "javascript": "jsx"
  },
  // Habilita algumas funções do emmet no react.
  "emmet.includeLanguages": {
    "javascript": "javascriptreact"
  }
}